sc::RenderedPolylines(3)

NAME
sc::RenderedPolylines -

SYNOPSIS

Inherits sc::RenderedObject.

  Public Types
enum Coloring { None, Vertex }

  Public Member Functions
RenderedPolylines (const Ref< KeyVal > &)
void initialize (int nvertex, int npolylines, RenderedPolylines::Coloring c=RenderedPolylines::None)
int npolyline ()
int nvertex ()
int nvertex_in_polyline (int i) const
double vertex (int i, int j) const
double vertex_rgb (int i, int j) const
int polyline (int i, int j) const
int have_vertex_rgb () const
void set_vertex (int, double x, double y, double z)
void set_vertex_rgb (int, double r, double g, double b)
void set_polyline (int i, int v1, int v2)
void set_polyline (int i, int v1, int v2, int v3)
void set_polyline (int i, int v1, int v2, int v3, int v4)
void render (const Ref< Render > &)

  Additional Inherited Members

Author

Generated automatically by Doxygen for MPQC from the source code.